{ ... }: {
  services.prometheus.exporters.nginxlog = {
    enable = true;
    port = 14201;
    settings = {
      namespace.nginx = {
        source.files = ["/var/log/nginx/access.log"];
        format = "$remote_addr - $remote_user [$time_local] \"$request\" $status $body_bytes_sent \"$http_referer\" \"$http_user_agent\" \"$http_x_forwarded_for\"";
      };
    };
  };

  services.nginx.commonHttpConfig = ''
    access_log /var/log/nginx/access.log;
  '';

  networking.firewall.allowedTCPPorts = [ 14201 ];
}
